Runtime

## org.eclipse.gmf.runtime.diagram.ui.parts
Interface IDiagramEditorInput

All Superinterfaces:
  IAdaptable, IEditorInput

All Known Implementing Classes:
  DiagramEditorInput

public interface IDiagramEditorInput
extends IEditorInput

Diagram Editor Input interface.

Method Summary
`Diagram` `getDiagram()` Method getDiagram.

Methods inherited from interface org.eclipse.ui.IEditorInput
`exists, getImageDescriptor, getName, getPersistable, getToolTipText`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getDiagram

    public Diagram getDiagram()

  Method getDiagram.

  Returns:
    Diagram

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.